/// <reference types="react" />
import { NewGDSButtonElement, NewGDSButtonProps } from './common';
export type NewGDSButtonCopyProps = {
    /** Text to copy when the button is clicked. */
    value: string;
} & NewGDSButtonProps;
export declare const NewGDSButtonCopy: import("react").ForwardRefExoticComponent<{
    /** Text to copy when the button is clicked. */
    value: string;
} & {
    variant?: import("./common").Variant | undefined;
    size?: import("./common").Size | undefined;
    shape?: "round" | "default" | undefined;
    justify?: import("theme-ui").ResponsiveStyleValue<"start" | "center" | "end" | "space-between" | "space-around" | "space-evenly">;
    status?: "success" | "loading" | "error" | "success-final" | "loading-progress" | null | undefined;
    statusMessage?: import("react").ReactNode;
    loadingProgress?: number | undefined;
} & import("../..").ButtonOrLinkProps & import("react").HTMLAttributes<NewGDSButtonElement> & import("react").RefAttributes<NewGDSButtonElement>>;
